# Enum ServerCnxn.DisconnectReason

java.lang.Object
java.lang.Enum<ServerCnxn.DisconnectReason>
org.apache.zookeeper.server.ServerCnxn.DisconnectReason

All Implemented Interfaces:
  `Serializable, Comparable<ServerCnxn.DisconnectReason>`

Enclosing class:
  `ServerCnxn`

public static enum ServerCnxn.DisconnectReason extends Enum<ServerCnxn.DisconnectReason>

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AUTH_PROVIDER_NOT_FOUND`
`BUFFER_UNDERFLOW_EXCEPTION`
`CANCELLED_KEY_EXCEPTION`
`CHANNEL_CLOSED_EXCEPTION`
`CHANNEL_DISCONNECTED`
`CLEAN_UP`
`CLIENT_CLOSED_CONNECTION`
`CLIENT_CLOSED_SESSION`
`CLIENT_CNX_LIMIT`
`CLIENT_RATE_LIMIT`
`CLIENT_RECONNECT`
`CLIENT_ZXID_AHEAD`
`CLOSE_ALL_CONNECTIONS_FORCED`
`CLOSE_CONNECTION_COMMAND`
`CONNECTION_CLOSE_FORCED`
`CONNECTION_EXPIRED`
`CONNECTION_MODE_CHANGED`
`FAILED_HANDSHAKE`
`INFO_PROBE`
`IO_EXCEPTION`
`IO_EXCEPTION_IN_SESSION_INIT`
`NOT_READ_ONLY_CLIENT`
`RENEW_GLOBAL_SESSION_IN_RO_MODE`
`RESET_COMMAND`
`SASL_AUTH_FAILURE`
`SERVER_SHUTDOWN`
`UNABLE_TO_READ_FROM_CLIENT`
`UNKNOWN`

## Method Summary

Modifier and Type
Method
Description
`String`
`toDisconnectReasonString()`
`static ServerCnxn.DisconnectReason`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ServerCnxn.DisconnectReason[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### UNKNOWN

public static final ServerCnxn.DisconnectReason UNKNOWN

### SERVER_SHUTDOWN

public static final ServerCnxn.DisconnectReason SERVER_SHUTDOWN

### CLOSE_ALL_CONNECTIONS_FORCED

public static final ServerCnxn.DisconnectReason CLOSE_ALL_CONNECTIONS_FORCED

### CONNECTION_CLOSE_FORCED

public static final ServerCnxn.DisconnectReason CONNECTION_CLOSE_FORCED

### CONNECTION_EXPIRED

public static final ServerCnxn.DisconnectReason CONNECTION_EXPIRED

### CLIENT_CLOSED_CONNECTION

public static final ServerCnxn.DisconnectReason CLIENT_CLOSED_CONNECTION

### CLIENT_CLOSED_SESSION

public static final ServerCnxn.DisconnectReason CLIENT_CLOSED_SESSION

### UNABLE_TO_READ_FROM_CLIENT

public static final ServerCnxn.DisconnectReason UNABLE_TO_READ_FROM_CLIENT

### NOT_READ_ONLY_CLIENT

public static final ServerCnxn.DisconnectReason NOT_READ_ONLY_CLIENT

### CLIENT_ZXID_AHEAD

public static final ServerCnxn.DisconnectReason CLIENT_ZXID_AHEAD

### INFO_PROBE

public static final ServerCnxn.DisconnectReason INFO_PROBE

### CLIENT_RECONNECT

public static final ServerCnxn.DisconnectReason CLIENT_RECONNECT

### CANCELLED_KEY_EXCEPTION

public static final ServerCnxn.DisconnectReason CANCELLED_KEY_EXCEPTION

### IO_EXCEPTION

public static final ServerCnxn.DisconnectReason IO_EXCEPTION

### IO_EXCEPTION_IN_SESSION_INIT

public static final ServerCnxn.DisconnectReason IO_EXCEPTION_IN_SESSION_INIT

### BUFFER_UNDERFLOW_EXCEPTION

public static final ServerCnxn.DisconnectReason BUFFER_UNDERFLOW_EXCEPTION

### SASL_AUTH_FAILURE

public static final ServerCnxn.DisconnectReason SASL_AUTH_FAILURE

### RESET_COMMAND

public static final ServerCnxn.DisconnectReason RESET_COMMAND

### CLOSE_CONNECTION_COMMAND

public static final ServerCnxn.DisconnectReason CLOSE_CONNECTION_COMMAND

### CLEAN_UP

public static final ServerCnxn.DisconnectReason CLEAN_UP

### CONNECTION_MODE_CHANGED

public static final ServerCnxn.DisconnectReason CONNECTION_MODE_CHANGED

### RENEW_GLOBAL_SESSION_IN_RO_MODE

public static final ServerCnxn.DisconnectReason RENEW_GLOBAL_SESSION_IN_RO_MODE

### CHANNEL_DISCONNECTED

public static final ServerCnxn.DisconnectReason CHANNEL_DISCONNECTED

### CHANNEL_CLOSED_EXCEPTION

public static final ServerCnxn.DisconnectReason CHANNEL_CLOSED_EXCEPTION

### AUTH_PROVIDER_NOT_FOUND

public static final ServerCnxn.DisconnectReason AUTH_PROVIDER_NOT_FOUND

### FAILED_HANDSHAKE

public static final ServerCnxn.DisconnectReason FAILED_HANDSHAKE

### CLIENT_RATE_LIMIT

public static final ServerCnxn.DisconnectReason CLIENT_RATE_LIMIT

### CLIENT_CNX_LIMIT

public static final ServerCnxn.DisconnectReason CLIENT_CNX_LIMIT

## Method Details

### values

public static ServerCnxn.DisconnectReason[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static ServerCnxn.DisconnectReason valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### toDisconnectReasonString

public String toDisconnectReasonString()